umbrello 2.34.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Ui_CPPCodeGenerationFormBase Class Reference

`#include <ui_cppcodegenerationformbase.h>`

Inheritance diagram for Ui_CPPCodeGenerationFormBase:

## Public Member Functions
void | setupUi (QWidget *CPPCodeGenerationFormBase)
void | retranslateUi (QWidget *CPPCodeGenerationFormBase)

## Public Attributes
QVBoxLayout * | vboxLayout
QGridLayout * | ui_gridLayoutMain
QLabel * | ui_textLabelTitle
QTabWidget * | ui_tabWidget
QWidget * | ui_tabGeneral
QWidget * | layoutWidget
QGridLayout * | gridLayout
QHBoxLayout * | horizontalLayout_2
QLabel * | label
QLineEdit * | ui_classMemberPrefixEdit
QListWidget * | ui_generalOptionsListWidget
QWidget * | ui_tabMethodBodyGeneration
QGridLayout * | gridLayout1
QSpacerItem * | spacerItem
QGridLayout * | ui_includeFilesList
KHistoryComboBox * | ui_listClassHCombo
QLabel * | ui_textLabelVariable
QPushButton * | ui_browseStringButton
QCheckBox * | ui_globalStringCheckBox
KHistoryComboBox * | ui_stringClassHCombo
QSpacerItem * | spacerItem1
QSpacerItem * | spacerItem2
QLabel * | ui_textLabelStringClass
QLabel * | ui_textLabelListClass
QCheckBox * | ui_globalListCheckBox
QPushButton * | ui_browseListButton
QLabel * | ui_textLabelGlobal
KHistoryComboBox * | ui_listIncludeFileHistoryCombo
KHistoryComboBox * | ui_stringIncludeFileHistoryCombo
QLabel * | ui_textLabelClassName
QLabel * | ui_textLabelIncludeFile
QLabel * | ui_textLabelHelpMethodBodyGen
QGroupBox * | ui_groupBoxDocumentation
QHBoxLayout * | horizontalLayout
QLabel * | ui_textLabelStyle
KComboBox * | ui_selectCommentStyle

## Member Function Documentation

## ◆ retranslateUi()

void Ui_CPPCodeGenerationFormBase::retranslateUi | ( | QWidget * | CPPCodeGenerationFormBase | ) |
| inline

## ◆ setupUi()

void Ui_CPPCodeGenerationFormBase::setupUi | ( | QWidget * | CPPCodeGenerationFormBase | ) |
| inline

## Member Data Documentation

## ◆ gridLayout

QGridLayout* Ui_CPPCodeGenerationFormBase::gridLayout

## ◆ gridLayout1

QGridLayout* Ui_CPPCodeGenerationFormBase::gridLayout1

## ◆ horizontalLayout

QHBoxLayout* Ui_CPPCodeGenerationFormBase::horizontalLayout

## ◆ horizontalLayout_2

QHBoxLayout* Ui_CPPCodeGenerationFormBase::horizontalLayout_2

## ◆ label

QLabel* Ui_CPPCodeGenerationFormBase::label

## ◆ layoutWidget

QWidget* Ui_CPPCodeGenerationFormBase::layoutWidget

## ◆ spacerItem

QSpacerItem* Ui_CPPCodeGenerationFormBase::spacerItem

## ◆ spacerItem1

QSpacerItem* Ui_CPPCodeGenerationFormBase::spacerItem1

## ◆ spacerItem2

QSpacerItem* Ui_CPPCodeGenerationFormBase::spacerItem2

## ◆ ui_browseListButton

QPushButton* Ui_CPPCodeGenerationFormBase::ui_browseListButton

## ◆ ui_browseStringButton

QPushButton* Ui_CPPCodeGenerationFormBase::ui_browseStringButton

## ◆ ui_classMemberPrefixEdit

QLineEdit* Ui_CPPCodeGenerationFormBase::ui_classMemberPrefixEdit

## ◆ ui_generalOptionsListWidget

QListWidget* Ui_CPPCodeGenerationFormBase::ui_generalOptionsListWidget

## ◆ ui_globalListCheckBox

QCheckBox* Ui_CPPCodeGenerationFormBase::ui_globalListCheckBox

## ◆ ui_globalStringCheckBox

QCheckBox* Ui_CPPCodeGenerationFormBase::ui_globalStringCheckBox

## ◆ ui_gridLayoutMain

QGridLayout* Ui_CPPCodeGenerationFormBase::ui_gridLayoutMain

## ◆ ui_groupBoxDocumentation

QGroupBox* Ui_CPPCodeGenerationFormBase::ui_groupBoxDocumentation

## ◆ ui_includeFilesList

QGridLayout* Ui_CPPCodeGenerationFormBase::ui_includeFilesList

## ◆ ui_listClassHCombo

KHistoryComboBox* Ui_CPPCodeGenerationFormBase::ui_listClassHCombo

## ◆ ui_listIncludeFileHistoryCombo

KHistoryComboBox* Ui_CPPCodeGenerationFormBase::ui_listIncludeFileHistoryCombo

## ◆ ui_selectCommentStyle

KComboBox* Ui_CPPCodeGenerationFormBase::ui_selectCommentStyle

## ◆ ui_stringClassHCombo

KHistoryComboBox* Ui_CPPCodeGenerationFormBase::ui_stringClassHCombo

## ◆ ui_stringIncludeFileHistoryCombo

KHistoryComboBox* Ui_CPPCodeGenerationFormBase::ui_stringIncludeFileHistoryCombo

## ◆ ui_tabGeneral

QWidget* Ui_CPPCodeGenerationFormBase::ui_tabGeneral

## ◆ ui_tabMethodBodyGeneration

QWidget* Ui_CPPCodeGenerationFormBase::ui_tabMethodBodyGeneration

## ◆ ui_tabWidget

QTabWidget* Ui_CPPCodeGenerationFormBase::ui_tabWidget

## ◆ ui_textLabelClassName

QLabel* Ui_CPPCodeGenerationFormBase::ui_textLabelClassName

## ◆ ui_textLabelGlobal

QLabel* Ui_CPPCodeGenerationFormBase::ui_textLabelGlobal

## ◆ ui_textLabelHelpMethodBodyGen

QLabel* Ui_CPPCodeGenerationFormBase::ui_textLabelHelpMethodBodyGen

## ◆ ui_textLabelIncludeFile

QLabel* Ui_CPPCodeGenerationFormBase::ui_textLabelIncludeFile

## ◆ ui_textLabelListClass

QLabel* Ui_CPPCodeGenerationFormBase::ui_textLabelListClass

## ◆ ui_textLabelStringClass

QLabel* Ui_CPPCodeGenerationFormBase::ui_textLabelStringClass

## ◆ ui_textLabelStyle

QLabel* Ui_CPPCodeGenerationFormBase::ui_textLabelStyle

## ◆ ui_textLabelTitle

QLabel* Ui_CPPCodeGenerationFormBase::ui_textLabelTitle

## ◆ ui_textLabelVariable

QLabel* Ui_CPPCodeGenerationFormBase::ui_textLabelVariable

## ◆ vboxLayout

QVBoxLayout* Ui_CPPCodeGenerationFormBase::vboxLayout

The documentation for this class was generated from the following file:

- cmake-build/umbrello/ui_cppcodegenerationformbase.h